aboutsummaryrefslogtreecommitdiffstats
path: root/main/mpc
diff options
context:
space:
mode:
authorSören Tempel <soeren+git@soeren-tempel.net>2016-01-24 00:02:19 +0100
committerTimo Teräs <timo.teras@iki.fi>2016-01-23 23:04:38 +0000
commit8da2b40e0d8eb22bb89706a7a6e63c0a6850ef84 (patch)
tree34f8f9e3ce4528ecec2c8ac45d29865fe1d62d63 /main/mpc
parentb5cfb653dbeb9651f374ddfec3ef3175f2f64bbe (diff)
downloadaports-8da2b40e0d8eb22bb89706a7a6e63c0a6850ef84.tar.gz
aports-8da2b40e0d8eb22bb89706a7a6e63c0a6850ef84.tar.bz2
aports-8da2b40e0d8eb22bb89706a7a6e63c0a6850ef84.tar.xz
main/mpc: add bash completion subpackage
Diffstat (limited to 'main/mpc')
-rw-r--r--main/mpc/APKBUILD32
1 files changed, 25 insertions, 7 deletions
diff --git a/main/mpc/APKBUILD b/main/mpc/APKBUILD
index 13de645e0b..d169be23a3 100644
--- a/main/mpc/APKBUILD
+++ b/main/mpc/APKBUILD
@@ -1,30 +1,48 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=mpc
pkgver=0.27
-pkgrel=0
+pkgrel=1
pkgdesc="Minimalist command line interface to MPD"
-url="http://mpd.wikia.com/wiki/Client:Mpc"
+url="http://www.musicpd.org/clients/mpc/"
arch="all"
license="GPL2"
-subpackages="$pkgname-doc"
-depends=
+depends=""
+depends_dev=""
makedepends="libmpdclient-dev"
-source="http://www.musicpd.org/download/mpc/${pkgver%.*}/mpc-${pkgver}.tar.xz"
+subpackages="$pkgname-bash-completion:bashcomp $pkgname-doc"
+source="http://www.musicpd.org/download/${pkgname}/${pkgver%.*}/${pkgname}-${pkgver}.tar.xz"
+_builddir="$srcdir"/$pkgname-$pkgver
build() {
- cd "$srcdir"/mpc-$pkgver
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
--prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --localstatedir=/var \
|| return 1
make || return 1
}
package() {
- cd "$srcdir"/mpc-$pkgver
+ cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
}
+
+bashcomp() {
+ depends=""
+ pkgdesc="Bash completions for $pkgname"
+ install_if="$pkgname=$pkgver-r$pkgrel bash-completion"
+ arch="noarch"
+
+ mkdir -p "$subpkgdir"/usr/share/bash-completion/completions
+ mv "$pkgdir"/usr/share/doc/$pkgname/$pkgname-completion.bash \
+ "$subpkgdir"/usr/share/bash-completion/completions/$pkgname || return 1
+}
+
md5sums="d9430db9b9d7fb1eadbe4d13e8d97c66 mpc-0.27.tar.xz"
sha256sums="45a2be0a6dea65ed43f631294c24e74b83c8ee66d1ba6ab47d0744ddb1e62064 mpc-0.27.tar.xz"
sha512sums="f73550004697c6d4ae44f25c82a9e4477fa878accb8725f58b74b2785c02b175a35e675c5484c58766e9032fe19beabd35a64c57cd1afd81478619d2f51916d4 mpc-0.27.tar.xz"